
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: rates
#
#  id         :integer          not null, primary key
#  approves   :boolean
#  user_id    :integer
#  review_id  :integer
#  created_at :datetime         not null
#  updated_at :datetime         not null
#

require 'test_helper'

class RateTest < ActiveSupport::TestCase
  should belong_to :user
  should belong_to :review

  # TODO: need to stub review.user in cannot_rate_your_own method
  # should validate_presence_of(:user)
  # should validate_presence_of(:review)
  # should validate_inclusion_of(:approves).in_array([true, false])

  # TODO: shoulda try to insert user with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:user).scoped_to(:review)

end
