
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

FactoryGirl.define do
  factory :user, aliases: [:owner, :publisher, :tagger, :followable] do
    name { Faker::Name.name }
    email { Faker::Internet.email }
    description { Faker::Lorem.sentence }
    education { Faker::Lorem.sentence }
    password '12345678'
    confirmed_at { Faker::Date.between(2.years.ago, Time.zone.today) }
    school
  end
end
